// LaunchBar Action Script

function getDefault (key) {
  var plistPath = LaunchBar.homeDirectory + '/Library/Preferences/com.brettterpstra.Bunch.plist'
  return LaunchBar.execute('/usr/bin/defaults', 'read', plistPath, key);
}
function configDir () {
  var configDir;

  configDir = getDefault('configDir');
  return configDir.replace(/^\s*(\S+.*?)[\s\n]*/,'$1').replace(/\/?$/,'/');
}

function pathMatches(path, match) {
    path = path.replace(/\/com\.brettterpstra\.launchbar\.bunch\//,'');
    var rx = new RegExp(match,'i');
    return rx.test(path);
}

function runWithURL(URL, details) {

    if (pathMatches(details.path,'refresh')) {
        var cfgDir = configDir();
        Action.preferences.bunchConfigDir = cfgDir;
        Action.preferences.lastBunchRefresh = Date.now();
        LaunchBar.displayNotification({
            title: 'Bunches Config Refreshed',
            string: 'Bunches Folder: '+ Action.preferences.bunchConfigDir
        });
        // return [{
        //     'title'    : 'Config Refreshed',
        //     'subtitle' : 'Bunches Folder: ' + cfgDir,
        //     'icon'     : 'Bunch.png'
        //    }];
    } else if (pathMatches(details.path,'setPref')) {
        var params = details.queryParameters;

        for (var key in params) {
            Action.preferences[key] = params[key];
            LaunchBar.debugLog(`Bunch LaunchBar Prefs: ${key} set to ${params[key]}`);
        }
    }

}
